/*------------------------------------*\
    
    WebFX CF7 Customizations - Global styling for all CF7 Forms

    Add custom CF7 form styling to this file if it should be applied to all CF7 forms on the site
    Otherwise, put your block-specific styles in individual block stylesheets so that various block-specific styles aren't loaded on every CF7 form

\*------------------------------------*/


/* Default Radio/Checkbox Style (if using CF7) */
.wpcf7-radio .wpcf7-list-item,
.wpcf7-checkbox .wpcf7-list-item {
    display: inline-block;
    margin-right: 15px;
    margin-bottom: 10px;
    /* incase items go to 2 lines */
}

.wpcf7-radio .wpcf7-list-item-label,
.wpcf7-checkbox .wpcf7-list-item-label {
    margin-left: 5px;
}

/* CF7 Validation (Remove if not using CF7) */

/* Individual field error messages */
.form-col .wpcf7-not-valid-tip,
.error {
    font-size: 12px !important;
    color: #E57710 !important;
    font-weight: 700 !important;
    font-family: "STIX Two Text", serif;
    position: absolute;
    right: 0;
    bottom: -23px;
    display: flex;
    align-items: center;
    width: max-content;
}

.wpcf7-not-valid-tip:before,
.error:before {
    content: "\e913";
    font-family: 'icomoon';
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 9px;
    color: #E57710;
    font-weight: normal;
    line-height: 1em;
    margin: 0 5px 0 0;
}

/* Entire form error message */
.wpcf7-response-output {
    color: #000;
    margin-top: 10px;
    font-family: "STIX Two Text", serif;
    font-size: 14px;
}

/* Styling for fields that have errors */
select.wpcf7-not-valid,
textarea.wpcf7-not-valid,
input.wpcf7-not-valid,
.wpcf7-not-valid .choices {
    border-color: #E57710;
}


input.wpcf7-not-valid::placeholder,
textarea.wpcf7-not-valid::placeholder {
    color: #E57710;
}